#### D.15.32.1 applyVecField

Procedure from library `VecField.lib` (see VecField_lib).

Usage:
  applyVecField(VecField V, poly/ideal p [,int n])

Return:
  if p is a polynomial, return a polynomial V(p), if p is an ideal, the ideal V(p). If an optional n is given, only the parts of V up to and including degree n are applied to p.

Example:

    LIB "VecField.lib";
    int oldp = printlevel;
    printlevel = 1;
    ring r = 0, (x, y, z),ds;
    vector v = [-1,-1,-1];
    VecField V = v;
    poly f = x3+2y3+xz2;
    poly g = V*f;
    ideal I = (x2,y);
    ideal J = V*I;
    printlevel = oldp;

User manual for Singular version 4.4.1, 2025, generated by texi2html.